@mixin responsive($key) {
  @media screen and (min-width: map-get($breakpoints,$key)) {
    @content;
  }
}

$breakpoints: (
  tablet: 640px,
  laptop: 1024px,
);

.tracks {
  width: 100%;
  background-image: linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2));
  padding: 1em;

  &__play {
    display: flex;
    width: 58px;
    height: 58px;
    margin: 1em 0 2em 1em;
    font-size: 23px;
    align-items: center;
    justify-content: center;
    background-color: #1ed760;
    color: #000;
    border-radius: 100%;
    @include responsive(laptop) {
      &:hover {
        outline: #1ed760 solid 1px;
        font-size: 24px;
      }
    }
  }

  &__table {
    width: 90%;
    padding: 0.5em;
    border-collapse: collapse;
    margin-left: auto;
    margin-right: auto;
  }
  & td {
    padding: 0.5em;
  }

  &__head {
    text-transform: uppercase;
    border-bottom: 1px solid var(--color-2);
    color: var(--color-2);
    & td {
      padding-bottom: 2px;
      font-weight: 400;
    }
  }
  &__title {
    font-weight: 600;
  }
  &__item {
    margin-bottom: 3em;
    cursor: pointer;
    @include responsive(laptop) {
      &:hover {
        background-color: #aaa3;
        .tracks__owner {
          color: #fff;
        }
        .tracks__number {
          color: #fff;
          display: none;
          &--hover {
            display: inline;
          }
        }
        .favorites__heart {
          display: inline;
          &:hover {
            color: #1ed760;
          }
        }
      }
    }
  }

  &__number {
    font-size: 1rem;
    color: var(--color-2);
    &--hover {
      display: none;
    }
  }

  &__content {
    display: flex;
    align-items: center;
    gap: 1em;
    & img {
      border-radius: 100%;
      width: 50px;
      height: 50px;
    }
  }

  &__info {
    display: flex;
    flex-direction: column;
  }
  &__name {
    font-weight: 600;
  }
  &__owner {
    font-size: 0.8rem;
    color: var(--color-2);
  }
  .favorites {
    text-align: center;
    padding-right: 0.3em;
    text-align: right;
    font-size: 1.5rem;
    &__heart {
      color: var(--color-2);
      @include responsive(laptop) {
        display: none;
      }
    }
    &__solid {
      color: #1ed760;
    }
    &__add {
      display: none;
    }
  }
}
